summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--misc/task/README4
-rw-r--r--misc/task/task.info10
-rw-r--r--office/task/README6
-rw-r--r--office/task/slack-desc (renamed from misc/task/slack-desc)14
-rw-r--r--office/task/task.SlackBuild (renamed from misc/task/task.SlackBuild)36
-rw-r--r--office/task/task.info10
6 files changed, 41 insertions, 39 deletions
diff --git a/misc/task/README b/misc/task/README
deleted file mode 100644
index 3ea17ad9c1..0000000000
--- a/misc/task/README
+++ /dev/null
@@ -1,4 +0,0 @@
-Task is a command line todo list manager. It maintains a list of
-tasks that you want to do, allowing you to add, remove, and otherwise
-manipulate them. Task has a rich list of subcommands that allow you
-to do various things with it.
diff --git a/misc/task/task.info b/misc/task/task.info
deleted file mode 100644
index 1cd83459f7..0000000000
--- a/misc/task/task.info
+++ /dev/null
@@ -1,10 +0,0 @@
-PRGNAM="task"
-VERSION="1.9.3"
-HOMEPAGE="http://taskwarrior.org"
-DOWNLOAD="http://www.taskwarrior.org/download/task-1.9.3.tar.gz"
-MD5SUM="1eb9cf957a3abf60e148208e587909c2"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-MAINTAINER="Zoran Stojakovic"
-EMAIL="stojakovic.zoran@gmail.com"
-APPROVED="rworkman"
diff --git a/office/task/README b/office/task/README
new file mode 100644
index 0000000000..ae6e0c3255
--- /dev/null
+++ b/office/task/README
@@ -0,0 +1,6 @@
+task is an advanced task manager for the console with an
+extensive set of features.
+
+task requires lua which can be installed from SlackBuild.org.
+
+
diff --git a/misc/task/slack-desc b/office/task/slack-desc
index 3e7fa2e297..ed50d13ce0 100644
--- a/misc/task/slack-desc
+++ b/office/task/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-task: task (command line todo manager)
+task: task (command-line todo list manager)
task:
-task: Task is a command line todo list manager. It maintains a list of
-task: tasks that you want to do, allowing you to add/remove, and otherwise
-task: manipulate them. Task has a rich list of subcommands that allow you
-task: to do various things with it.
-task:
-task: http://taskwarrior.org/
+task: task is an advanced task manager for the console with an extensive
+task: set of features. task maintains a list of tasks that you want to do,
+task: allowing you to add/remove, and otherwise manipulate them.
+task: Task has a rich list of subcommands that allow you to do
+task: sophisticated things with it.
task:
task:
task:
+task: Home: http://www.taskwarrior.org
diff --git a/misc/task/task.SlackBuild b/office/task/task.SlackBuild
index 876313775f..e7be0aeaa1 100644
--- a/misc/task/task.SlackBuild
+++ b/office/task/task.SlackBuild
@@ -2,19 +2,18 @@
# Slackware build script for task
-# Written by Zoran Stojakovic stojakovic.zoran@gmail.com
+# Written by Jostein Berntsen <jbernts@broadpark.no>
+
PRGNAM=task
-VERSION=${VERSION:-1.9.3}
+VERSION=${VERSION:-1.9.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -38,7 +37,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -53,27 +52,27 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux
+# Build
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
-make docdir=/usr/doc/$PRGNAM-$VERSION
-make docdir=/usr/doc/$PRGNAM-$VERSION install DESTDIR=$PKG
+make clean
+make
+make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+mv $PKG/usr/share/man $PKG/usr
find $PKG/usr/man -type f -exec gzip -9 {} \;
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- AUTHORS COPYING ChangeLog INSTALL NEWS README README.build \
+ AUTHORS COPYING INSTALL NEWS README \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -82,3 +81,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/office/task/task.info b/office/task/task.info
new file mode 100644
index 0000000000..4fe7c2ffe5
--- /dev/null
+++ b/office/task/task.info
@@ -0,0 +1,10 @@
+PRGNAM="task"
+VERSION="1.9.4"
+HOMEPAGE="http://www.taskwarrior.org"
+DOWNLOAD="http://www.taskwarrior.org/download/task-1.9.4.tar.gz"
+MD5SUM="0c5d9dedb1ead69590af895d16708070"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jostein Berntsen"
+EMAIL="jbernts@broadpark.no"
+APPROVED="dsomero"